clang-tools 10.0.0

Classes | Namespaces | Functions | Variables
AbseilTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "DurationAdditionCheck.h"`
`#include "DurationComparisonCheck.h"`
`#include "DurationConversionCastCheck.h"`
`#include "DurationDivisionCheck.h"`
`#include "DurationFactoryFloatCheck.h"`
`#include "DurationFactoryScaleCheck.h"`
`#include "DurationSubtractionCheck.h"`
`#include "DurationUnnecessaryConversionCheck.h"`
`#include "FasterStrsplitDelimiterCheck.h"`
`#include "NoInternalDependenciesCheck.h"`
`#include "NoNamespaceCheck.h"`
`#include "RedundantStrcatCallsCheck.h"`
`#include "StringFindStartswithCheck.h"`
`#include "StrCatAppendCheck.h"`
`#include "TimeComparisonCheck.h"`
`#include "TimeSubtractionCheck.h"`
`#include "UpgradeDurationConversionsCheck.h"`
Include dependency graph for AbseilTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::abseil::AbseilModule

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::abseil

## Functions
static ClangTidyModuleRegistry::Add< AbseilModule > | clang::tidy::abseil::X ("abseil-module", "Add Abseil checks.")

## Variables
volatile int | clang::tidy::AbseilModuleAnchorSource = 0